package com.ejie.ab61.model.nora;

/**
 * * T17Calle  
 * 
 *  
 */

public class T17Calle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private long id;
	private String dsO;
	private String municipioId;
	private String provinciaId;
	private String tipoViaId;

	/**
	 * Method 'T17Calle'.
	 * 
	 */
	public T17Calle() {
	}

	/**
	 * Method 'T17Calle'.
	 * 
	 * @param id
	 *            String
	 * @param dsO
	 *            String
	 */
	public T17Calle(long id, String dsO) {

		this.id = id;
		this.dsO = dsO;
	}

	/**
	 * Method 'getId'.
	 * 
	 * @return String
	 */

	public long getId() {
		return this.id;
	}

	/**
	 * Method 'setId'.
	 * 
	 * @param id
	 *            String
	 */

	public void setId(long id) {
		this.id = id;
	}

	/**
	 * Method 'getDsO'.
	 * 
	 * @return String
	 */

	public String getDsO() {
		return this.dsO;
	}

	/**
	 * Method 'setDsO'.
	 * 
	 * @param dsO
	 *            String
	 */

	public void setDsO(String dsO) {
		this.dsO = dsO;
	}

	/**
	 * 
	 * @return String
	 */
	public String getMunicipioId() {
		return this.municipioId;
	}

	/**
	 * 
	 * @param municipioId
	 *            String
	 */
	public void setMunicipioId(String municipioId) {
		this.municipioId = municipioId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getProvinciaId() {
		return this.provinciaId;
	}

	/**
	 * 
	 * @param provinciaId
	 *            String
	 */
	public void setProvinciaId(String provinciaId) {
		this.provinciaId = provinciaId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getTipoViaId() {
		return this.tipoViaId;
	}

	/**
	 * 
	 * @param tipoViaId
	 *            String
	 */
	public void setTipoViaId(String tipoViaId) {
		this.tipoViaId = tipoViaId;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override()
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ id: ").append(this.id).append(" ]");
		result.append(", [ dsO: ").append(this.dsO).append(" ]");
		result.append("}");
		return result.toString();
	}

}
